# Approve Offers

***Detailed information of Affiliate, including the offer basic information, Approved or Blocked Affiliates list.***

## Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                                          | Description                                       |
| ---------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------- |
| **Add**    |             |                                                                                                                                                                                   |                                                   |
|            | POST        | [/v1/affiliates/{affiliate\_id}/approved/{offer\_id}](/api-documentation/networkapi/affiliates/sub-resources/affiliatesdetail/add_offers_to_an_approved_list_of_affiliate.md)     | Add an offer to an approved list of affiliate     |
| **Get**    |             |                                                                                                                                                                                   |                                                   |
|            | GET         | [/v1/affiliates/{affiliate\_id}/approved](/api-documentation/networkapi/affiliates/sub-resources/affiliatesdetail/get_a_list_of_approved_offer_affiliate.md)                      | Get a list of approved offer affiliate            |
| **Delete** |             |                                                                                                                                                                                   |                                                   |
|            | Delete      | [/v1/affiliates/{affiliate\_id}/approved/{offer\_id}](/api-documentation/networkapi/affiliates/sub-resources/affiliatesdetail/remove_offers_from_a_list_of_approved_affiliate.md) | Remove an offer from a list of approved affiliate |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates/sub-resources/affiliatesdetail.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
